from django.contrib.auth.models import User
from django.forms import CharField, ModelForm

from la_chariotte.order.models import GroupedOrder, Item


class GroupedOrderForm(ModelForm):
    class Meta:
        model = GroupedOrder
        fields = ["name", "deadline", "delivery_date"]

    def __init__(self, *args, **kwargs):
        self.user = kwargs.pop("user")
        super().__init__(*args, **kwargs)

    def save(self, commit=True):
        self.instance.orga = User.objects.get(id=self.user.pk)
        return super().save(commit=commit)


class ItemCreateForm(ModelForm):
    class Meta:
        model = Item
        fields = ["name"]

    def __init__(self, *args, **kwargs):
        self.grouped_order = kwargs.pop("grouped_order")  # type: GroupedOrder
        super().__init__(*args, **kwargs)

    def save(self, commit=True):
        self.instance.grouped_order = GroupedOrder.objects.get(id=self.grouped_order.pk)
        return super().save(commit=commit)
